import request from '@/utils/request'
import url from 'postcss-url'
import { data } from 'autoprefixer'

export function getInspectionMajor(params) {
  return request({
    url: '/com/api/getinspectionmajor',
    method: 'get',
    params: params
  })
}

export function getInspectionMinor(id, params) {
  return request({
    url: '/com/api/getinspectionminor?id=' + id,
    method: 'get',
    params: params
  })
}

export function getInspectionRange(id, params) {
  return request({
    url: '/com/api/getinspectionrange?id=' + id,
    method: 'get',
    params: params
  })
}

export function saveConfiguration(data) {
  console.log('data', data)
  return request({
    url: '/com/api/saveconfiguration',
    method: 'post',
    data: data
  })
}

export function getConfigurationList(limit, page) {
  const params = {
    limit: limit,
    page: page
  }
  return request({
    url: 'com/api/getconfigurationlist',
    method: 'get',
    params: params
  })
}

export function getConfigurationDetail(id, params) {
 
  return request({
    url: 'com/api/getconfigurationdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function getAllInspectionMinor(params) {
  return request({
    url: 'com/api/getallinspectionminor',
    method: 'get',
    params: params
  })
}

export function UpdateConfiguration(id, data) {
  console.log('data', data)
  return request({
    url: 'com/api/updateconfiguration?id=' + id,
    method: 'post',
    data: data
  })
}

export function DeleteConfiguration(id, params) {
  return request({
    url: 'com/api/deleteconfiguration?id=' + id,
    method: 'delete',
    params: params
  })
}

export function getAllInspectionData(params) {
  return request({
    url: 'com/api/getallinspectiondata',
    method: 'get',
    params: params
  })
}

export function SaveCheckConfiguration(data) {
  console.log('data', data)
  return request({
    url: '/com/api/savecheckconfiguration',
    method: 'post',
    data: data
  })
}

export function getAllCheckList(page, limit) {
  const params = {
    page: page,
    limit: limit
  }
  return request({
    url: '/com/api/getallchecklist',
    method: 'get',
    params: params
  })
}

export function getCheckDetail(id, params) {
  return request({
    url: '/com/api/getcheckdetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function UpdateCheck(id, data) {
  return request({
    url: '/com/api/updatecheck?id=' + id,
    method: 'post',
    data: data
  })
}

export function DeleteCheck(id, params) {
  return request({
    url: '/com/api/deletecheck?id=' + id,
    method: 'delete',
    params: params
  })
}

export function getDialysisModeType(startime, endtime) {
  const params = {
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/com/api/getdialysismodetype',
    method: 'get',
    params: params
  })
}

export function getTotalLapseCount(startime, endtime) {
  const params = {
    startime: startime,
    endtime: endtime
  }
  console.log('转归params', params)
  return request({
    url: '/com/api/gettotallapsecount',
    method: 'get',
    params: params
  })
}

export function getTotalSexCount(startime, endtime) {
  const params = {
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/com/api/gettotalsexcount',
    method: 'get',
    params: params
  })
}

export function getTotalInfectiousCount(startime, endtime) {
  const params = {
    startime: startime,
    endtime: endtime
  }
  console.log('传染病', params)
  return request({
    url: '/com/api/gettoalinfectiouscount',
    method: 'get',
    params: params
  })
}

export function getTotalAgeCount(startime, endtime) {
  const params = {
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/com/api/gettotalagecount',
    method: 'get',
    params: params
  })
}

export function getTotalDialysisCount(startime, endtime) {
  const params = {
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/com/api/gettotaldialysiscount',
    method: 'get',
    params: params
  })
}

export function getCurrentOrgPatients(params) {
  return request({
    url: '/com/api/getcurentorgpatients',
    method: 'get',
    params: params
  })
}

export function getDialysisList(startime, endtime, page, limit) {
  const params = {
    startime: startime,
    endtime: endtime,
    page: page,
    limit: limit
  }
  return request({
    url: '/com/api/getdialysislist',
    method: 'get',
    params: params
  })
}

export function getLastSort(params) {
  return request({
    url: '/com/api/getlastsort',
    method: 'get',
    params: params
  })
}

export function getLastCheckList(params) {
  return request({
    url: '/com/api/getlastchecklist',
    method: 'Get',
    params: params
  })
}

export function getDialysisDetailById(id, startime, endtime, limit, page) {
  const params = {
    id: id,
    startime: startime,
    endtime: endtime,
    limit: limit,
    page: page
  }
  return request({
    url: '/com/api/getdialysisdetailbyid',
    method: 'get',
    params: params
  })
}

export function getPrescriptionByName(patientid, startime, endtime, limit, page) {
  const params = {
    patientid: patientid,
    startime: startime,
    endtime: endtime,
    limit: limit,
    page: page
  }
  // console.log('params', params)
  return request({
    url: '/com/api/getprescriptionbyname',
    method: 'Get',
    params: params
  })
}

export function geStatistics(params) {
  return request({
    url: '/com/api/getstatistics',
    method: 'Get',
    params: params
  })
}

export function getInspectionTotalCount(startime, endtime, patientid) {
  const params = {
    startime: startime,
    endtime: endtime,
    patientid: patientid
  }
  console.log('病人新项目', params)
  return request({
    url: '/com/api/getinspectiontotalcount',
    method: 'get',
    params: params
  })
}

export function getInspectionDetailById(id, startime, endtime) {
  const params = {
    id: id,
    startime: startime,
    endtime: endtime
  }
  console.log('params', params)
  return request({
    url: '/com/api/getinspectionDetailById',
    method: 'get',
    params: params
  })
}

export function getSearchPatientInfo(patientid, startime, endtime) {
  const params = {
    patientid: patientid,
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/com/api/getsearchpatientinfo',
    method: 'get',
    params: params
  })
}

export function getAllMajorInspection(params) {
  return request({
    url: '/com/api/getallmajorInspection',
    method: 'Get',
    params: params
  })
}

export function getPatientList(startime, endtime, limit, page) {
  const params = {
    startime: startime,
    endtime: endtime,
    limit: limit,
    page: page
  }
  return request({
    url: '/com/api/getpatientlist',
    method: 'Get',
    params: params
  })
}

export function getPatientDetailCheck(id, startime, endtime) {
  const params = {
    id: id,
    startime: startime,
    endtime: endtime
  }
  return request({
    url: '/com/api/getPatientDetailCheck',
    method: 'get',
    params: params
  })
}

export function SearchDetailCheck(keyword, startime, endtime) {
  const params = {
    keyword: keyword,
    startime: startime,
    endtime: endtime
  }

  return request({
    url: '/com/api/searchdetailcheck',
    method: 'get',
    params: params
  })
}

export function getNormData(params) {
  return request({
    url: '/com/api/getnormdata',
    method: 'Get',
    params: params
  })
}

export function getFirstQuarter(params) {
  console.log('params', params)
  return request({
    url: '/com/api/getfirstquarter',
    method: 'get',
    params: params
  })
}

export function getProjectList(params) {
  return request({
    url: '/com/api/getprojectlist',
    method: 'get',
    params: params
  })
}

export function getMonthProjectList(params) {
  return request({
    url: '/com/api/getmonthprojectlist',
    method: 'get',
    params: params
  })
}

export function getPatientsControl(lapstor, startime, endtime, page, limit) {
  const params = {
    lapstor: lapstor,
    startime: startime,
    endtime: endtime,
    page: page,
    limit: limit
  }
  return request({
    url: '/com/api/getpatientscontrol',
    method: 'get',
    params: params
  })
}

export function getCartogramlist(lapsetor, startime, endtime, limit, page) {
  const params = {
    lapsetor: lapsetor,
    startime: startime,
    endtime: endtime,
    limit: limit,
    page: page
  }

  return request({
    url: '/com/api/getcartogramlist',
    method: 'Get',
    params: params
  })
}

export function getPatientContorlAnalysis(params) {
  return request({
    url: '/com/api/getpatientcontor',
    method: 'get',
    params: params
  })
}

export function GetQualityControl(params) {
  return request({
    url: '/com/api/getqualitycontrol',
    method: 'Get',
    params: params
  })
}

export function getTreatlist(params) {
  return request({
    url: '/com/api/gettreatlist',
    method: 'get',
    params: params
  })
}

export function getPatientComplianceDetail(params) {
  return request({
    url: '/com/api/getpatientcompliancedetal',
    method: 'Get',
    params: params
  })
}

export function getBloodPressureDetail(id, params) {
  return request({
    url: '/com/api/getbloodpressuredetail?id=' + id,
    method: 'get',
    params: params
  })
}

export function UpdateBloodPrussre(id, data) {
  console.log('data', data)
  return request({
    url: '/com/api/updatebloodprussre?id=' + id,
    method: 'post',
    data: data
  })
}

export function getBloodPressureList(params) {
  return request({
    url: '/com/api/getbloodpressurelist',
    method: 'get',
    params: params
  })
}

export function getMonthBloodList(params) {
  return request({
    url: '/com/api/getmonthbloodlist',
    method: 'get',
    params: params
  })
}

export function getIdSlist(data, patientid) {
  return request({
    url: '/com/api/getidslist?patientid=' + patientid,
    method: 'post',
    data: data
  })
}


export function getTreatModeList(params){
  console.log("params",params)
  return request({
    url:"/com/api/getreatmodelist",
    method:"get",
    params:params,
  })
}

export function getCountModeId(params){
  return request({
    url:'/com/api/getcountmodeid',
    method:"Get",
    params:params
  })
}

export function getRolloutCount(params){
  
  return request({
    url:"/com/api/getrolloutcount",
    method:"Get",
    params:params
  })
}